Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		qtractor
Version:	0.4.5
Release:	1
License:	GNU/GPL v2
URL:		http://qtractor.sourceforge.net/
Group:		Multimedia/Audio
Summary:	An Audio/MIDI multi-track sequencer
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

BuildRequires:	slv2-devel
BuildRequires:	lv2core-devel
BuildRequires:	ladspa-devel
BuildRequires:	dssi-devel
BuildRequires:  raptor-devel
BuildRequires:  rasqal-devel
BuildRequires:  redland-devel

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: libgcc
BuildRequires: liblo-devel
BuildRequires: libmad-devel
BuildRequires: libogg-devel
BuildRequires: libsamplerate-devel
BuildRequires: libsndfile-devel
BuildRequires: libstdc++-devel
BuildRequires: libvorbis-devel
BuildRequires: libX11-devel
BuildRequires: qt4-devel
BuildRequires: rubberband-devel

%description
Qtractor is an Audio/MIDI multi-track sequencer application
written in C++ around the Qt4 toolkit using Qt Designer.

The initial target platform will be Linux, where the Jack Audio
Connection Kit (JACK) for audio, and the Advanced Linux Sound
Architecture (ALSA) for MIDI, are the main infrastructures to
evolve as a fairly-featured Linux Desktop Audio Workstation GUI,
specially dedicated to the personal home-studio.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README README.VST
%_bindir/qtractor
%_applications/qtractor.desktop
%_pixmaps/qtractor.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Feb 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.4.5-1
- Version update
* Sun Jan 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.4.4-1
- Version update
* Fri Mar 13 2009 Christian Wasem <wasem@ccux-linux.de> 0.4.0-1
- initial CCux package release
